/* GLOBAL */

html, body {
  font-family: 'Gruppo', sans-serif;
  color: #3b4147;
  height: 100%;
  /* scroll-behavior: smooth; */
}

a {
  text-decoration: none;
  font-size: 1rem;
}

a:hover {
    color: #3b4147;
    text-decoration: underline;
}

i {
  font-size: 1.5rem;
}

/* NAV */




.navbar {
  z-index: 1000;
  position: fixed;
  width: 100%;
}

nav {
  -webkit-transition: opacity 0.3s ease-in-out;
  -moz-transition: opacity 0.3s ease-in-out;
  -ms-transition: opacity 0.3s ease-in-out;
  -o-transition: opacity 0.3s ease-in-out;
  transition: opacity 0.3s ease-in-out;
  opacity: 0;
}

nav.hidden {
  opacity: 1;
}


.bg-dark {
  background-color: #3b4147 !important;
}

nav img {
  width: 10vw;
  color: white;
}

.navbar-toggler, .navbar-toggler:focus {
  border: none;
  outline: none;
}

.navbar-dark .navbar-nav .nav-link {
  color: #F5F5F5F5;
  font-size: 1.3rem;
}

/* ---------- Background-color chnages on every second section */

section:nth-of-type(even){
  background: #3b4147;
  color: whitesmoke;
}

/* ------------- TOPPER ------------- */
.main-topper {
  min-height: 100vh;
  background: transparent;
  /* background-position: center !important;
  background-repeat: no-repeat !important;
  background-size: cover !important; */
  color: whitesmoke;
  /* background-attachment: fixed; */
}
/* ------------- TOPPER FIRST ------------- */

#first-topper {
  background-image: url("../images/header_ott.jpg");
}

#schriftzug_logo {
  width: 100%;
}

.main-topper h1 {
  /* color: #3b4147; */
  /* text-shadow:  2px 2px 1px #999999;
  text-shadow:  2.5px 2.5px 2px #D1D1D1;
  text-shadow:  3px 3px 4px #F5F5F5; */
  font-size: 4.5rem;
}
.main-topper h2 a {
  color: #f5f5f5;
  font-size: 3rem;
}

.main-topper a {
  color: #f5f5f5;
  font-size: 3rem;
}

.heading {
  margin-top: 3rem;
}

/* ------------- TOPPER SECOND ------------- */

#second-topper {
  min-height: 100vh;
}

#topper_img {
  background-image: url("vita_ott_front.jpg");
  background-size: cover;
  background-repeat: no-repeat;
  min-height: 30vh;
  max-height: 30vh;
  min-width: 30vh;
  max-width: 30vh;
  border-radius: 50%;
  /* border: 0.5rem solid #41474d; */
  margin: auto;
  /* -webkit-box-shadow: 10px 10px 22px 0px rgba(59,65,71,1);
  -moz-box-shadow: 10px 10px 22px 0px rgba(59,65,71,1);
  box-shadow: 1px 3px 5px 0px #3b4147,
              5px 5px 10px 0px lightgrey,
              10px 10px 22px 0px whitesmoke; */
  cursor: pointer;
  transition: transfom 0.4s cubic-bezier(.61,.42,.63,1.5);
}

.overlay-vita {
  min-height: 30vh;
  max-height: 30vh;
  min-width: 30vh;
  max-width: 30vh;
  background-color: #3b4147d4;
  color: whitesmoke;
  opacity: 0;
  display: flex;
  justify-content: center;
  align-items: center;
  transition-property: all;
  transition-duration: 0.3s;
  -webkit-transition-timing-function: ease-in;
    -moz-transition-timing-function: ease-in;
    -o-transition-timing-function: ease-in;
    transition-timing-function: ease-in;
  border-radius: 50%;
}

.overlay-vita:hover, #topper_img:hover {
  opacity: 1;
  transform: scale(1.1);
}

#topper_address_mail_icon {
  grid-area: icon-mail;
  -webkit-transition: color .3s ease-in;
  transition: color .3s ease-in;
  color: whitesmoke;
}

#topper_address_handy_icon {
  grid-area: icon-handy;
  -webkit-transition: color .3s ease-in;
  transition: color .3s ease-in;
  color: whitesmoke;
}

#topper_address_street_icon {
  grid-area: icon-street;
  -webkit-transition: color  .3s ease-in;
  transition: color .3s ease-in;
  color: whitesmoke;
}

#topper_address_mail_icon:hover, #topper_address_street_icon:hover, #topper_address_handy_icon:hover {
  color: #a1a1a4;
}

a[href^="tel"]{
    color:inherit;
    text-decoration:none;
    font-size: inherit;
}

/* =========== MAP =================== */

#map{
  height: 80vh;
}


/* =========== KONTAKT-FORM =================== */

#label-datenschutz-checkbox a{
  color: #F5F5F5;
}





/* =========== PROJEKTE =================== */

.block2-box {
background-position: center !important;
background-repeat: no-repeat !important;
background-size: cover !important;
height: 160px;
-webkit-box-shadow: 1px 2px 5px 0px #3b4147,
                    2px 4px 10px 0px #3b4147,
                    4px 8px 20px 0px #3b4147;
-moz-box-shadow:    1px 2px 5px 0px #3b4147,
                    2px 4px 10px 0px #3b4147,
                    4px 8px 20px 0px #3b4147;
box-shadow:         1px 2px 5px 0px #3b4147,
                    2px 4px 10px 0px #3b4147,
                    4px 8px 20px 0px #3b4147;
}

.overlay-haus {
height: 100%;
width: 100%;
color: whitesmoke;
background-color: #3b4147d4;
float: right;
opacity: 0;
/* display: none; */
transition: opacity 0.25s ease-in;
/* transition: display 0.2s ease-in; */
padding: 1rem;
}

.overlay-haus h3{
font-size: 2rem;
}

.overlay-haus h4 {
font-size: 1.2rem;
}

.overlay-haus:hover {
/* display: block; */
opacity: 1;
}


/* =============== LEISTUNGEN  ================ */

#block1 a {
  color: whitesmoke;
  text-decoration: none;
}

#block1 h2 {
 padding-top: 3rem;
 padding-bottom: 3rem;
}

 .box-frame {
 width: 100%;
 height: 400px;    /* !!!!Diesen Wert anpassen, wenn die Boxen größer/kleienr werden sollen!!! */
 margin-bottom: 4rem;
}

.img-box {
  position: absolute;
  height: 55%;
  width: 60%;
  right: 10%;
  background-position: center !important;
  background-repeat: no-repeat !important;
  background-size: cover !important;
  -webkit-box-shadow: 10px 10px 22px 0px rgba(5,6,7,1);
  -moz-box-shadow: 10px 10px 22px 0px rgba(9,5,1,1);
  box-shadow: 10px 10px 22px 0px rgba(5,6,7,1);
}

/* =============== KONTAKTFORMULAR  ================ */
#submit-btn{
  color: #3b4147;
  background-color: #F5F5F5;
  border-color: #F5F5F5;
}

#submit-btn:hover {
  background-color: #3b4147;
  color: #F5F5F5;
}

/* FOOTER  */
footer a {
  color: inherit;
}

#footer_logo{
  width: 40%;
  padding-bottom: 2rem;
}
/* ================== MAIN-TEMPLATE ============= */

.section-text {
  min-height: 100vh;
}

.section-text h1{
  font-size: 4.5rem;
}

.section-text h3 {
  font-size: 2rem;
  text-decoration: underline;
}

.section-text p {
  font-size: 1.5rem;
}

.section-text li {
  font-size: 1.5rem;
}

/* ================== IMPRESSUM-TEMPLATE ============= */
.topper-impressum {
  padding-top: 7rem;
}


/* ================== VITA-TEMPLATE ============= */

table {
  font-size: 1.5rem;
}

.table td {
  border-style: none;
  width: 5rem;
}

/* ========== Media Querys =============== */

/* =============== TABLET ================= */
@media (min-width: 760px) {


/* ===== ICON === */
 /* i {
   font-size: 4rem;
 } */

 /* === TOPPER === */


   /* === TOPPER-FIRST === */

 /* .main-topper {
   -webkit-background-attachment: fixed !important;
   background-attachment: fixed !important;
 } */



 /* .topper_h1 {
   font-size: 10rem;
 }

 #topper_name_h2 {
   font-size: 6rem;
 } */

 /* === TOPPER-SECOND === */

 /* .topper_name {
   padding-top: 8vh;
 }

 .topper_name h3 {
   font-size: 2.3rem;
 }

 #topper_address_mail_icon i, #topper_address_handy_icon i, #topper_address_street_icon i {
   padding-bottom: 5rem;
 }

   #topper_address_handy, #topper_address_mail, #topper_address_street {
   font-size: 2.8rem;
 } */

 /* === BLOCK 1 === */
/*
 #block1 h2, #block2 h2 {
   font-size: 6rem;
 }

 .box-heading {
   font-size: 2.2rem;
 }

 .box-text {
   font-size: 1.4rem;
 } */

 /* === BLOCK 2 === */
/*
 .block2-box {
   height: 250px;
 }

 .overlay-haus h3 {
   font-size: 3rem;
 }

 .overlay-haus h4 {
   font-size: 2rem;
 } */

 /* === FOOTER === */
/*
 #footer_header, #footer_name {
   font-size: 4rem;
 }

 #footer_address, #footer_handy, #footer_mail {
   font-size: 2rem;
 }

 #footer_datenschutz, #footer_impressum {
   font-size: 1.5rem;
 } */
}
